Grasshopper

algorithmic modeling for Rhino

If I was to declare some Brep component at the C#, I can't find any hint about Brep.

There are only circle, point3d, sphere and so on. No brep there :(

If I want to declare "Brep", what should I do ?

Thanks in advance :D

Views: 632

Replies to This Discussion

I assume that screenshot isn't the one giving you problems, as Brep is right there. Can you post a screenshot of the autocomplete box where Brep is missing?

--

David Rutten

david@mcneel.com

Hi David.

In fact, I solve the problem.

When I declare Box, this is what I typing.

Rhino.Geometry.Box box = Rhino.Geometry.Box.Unset();      -----OKay

So I do that process to the brep too.

Rhino.Geometry.Brep brep = Rhino.Geometry.Box.Unset();     -----Wrong

Instead, I solve this problem like this.

Rhino.Geometry.Brep brep = new Rhino.Geometry.Brep();      -----OKay !!

Thanks David :D

Eh, newing up Breps is unlikely to be a useful operation. If you want the equivalent of Box.Unset, use null:

Rhino.Geometry.Brep brep = null;

Breps are typically created from other kinds of geometry, because they are so difficult to make. Newing up a brep indicates you want to create it from scratch, which is probably not the case.

--

David Rutten

david@mcneel.com

Oh, nice information.. 

I think brep has more tricky meaning than what I thought about ...

Thanks David !

RSS

About

Translate

Search

Photos

  • Add Photos
  • View All

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service